SCSI_BLOCK_WHEN_PROC(9)

NAME
scsi_block_when_processing_errors - Prevent cmds from being queued.

SYNOPSIS

int scsi_block_when_processing_errors(struct scsi_device * sdev);

ARGUMENTS

sdev
    Device on which we are performing recovery.

DESCRIPTION

We block until the host is out of error recovery, and then check to see whether the host or the device is offline.

RETURN VALUE

0 when dev was taken offline by error recovery. 1 OK to proceed.

AUTHORS

James Bottomley <James.Bottomley@hansenpartnership.com>
    Author.

Rob Landley <rob@landley.net>
    Author.

COPYRIGHT